---
name: Albom
BASE_URL: http://mitchalbom.com
BASE_PATH: /usr/home/malbomds/public_html
COOKIE_DOMAIN: mitchalbom.com
DRUPAL_XMLRPC_URL: http://mitchalbom.com/d/services/xmlrpc
DRUPAL_XMLRPC_USERNAME: xmlrpc 
DRUPAL_XMLRPC_PASSWORD: xmlrpc
image_upload_path: /usr/home/malbomds/public_html/d/sites/default/files/user_uploads
LOGIN_URL:       /login?
LOGIN_MODAL_URL: /login?height=250&width=250&modal=true
SWISH: /usr/local/bin/swish-e
Model::ArticlesDB:
  schema_class: Albom::Schema::ArticlesDB
  connect_info:
    dsn: dbi:mysql:malbomds_articles
    user: malbomds_3_w
    password: kk75Gq2c
Model::AlbomDB:
  schema_class: Albom::Schema::AlbomDB
  connect_info:
    dsn: dbi:mysql:malbomds_albom
    user: malbomds_w
    password: yyjZhz2M
Model::ArticlesDBI:
  dsn:      dbi:mysql:malbomds_articles
  user:     malbomds_3_w
  password: kk75Gq2c
  sid:      malbomds_articles
  options:
    AutoCommit: 0
Model::PhpBBDBI:
  dsn:      dbi:mysql:malbomds_phpbb
  user:     malbomds_5_w
  password: zvfpuMsy
  sid:      malbomds_phpbb
Model::DrupalContentDBI:
  dsn:      dbi:mysql:malbomds_content
  user:     malbomds_4_w
  password: amUs5vCn
  options:
    AutoCommit: 0
Model::ContentDB:
  schema_class: Albom::Schema::ContentDB
  connect_info:
    dsn: dbi:mysql:malbomds_content
    user: malbomds_4_w
    password: amUs5vCn
Model::DrupalDBI:
  dsn:      dbi:mysql:malbomds_drupal
  user:     malbomds_2_w
  password: VDb6ZFpZ
  options:
    AutoCommit: 0
Plugin::Session:
  expires: 31536000 
  storage: /usr/home/malbomds/tmp/session-file
  flash_to_stash: 1
Model::AlbomDBI:
  dsn:      dbi:mysql:malbomds_albom
  user:     malbomds_w
  password: yyjZhz2M
  sid:      malbomds_albom
  options:
    AutoCommit: 0
View::Email:
  stash_key: email
  default:
    content_type: text/plain
    charset: utf-8
  sender:
    mailer: Sendmail
Model::SWISH::Journalism:
  indexes: 
    - /usr/home/malbomds/public_html/search/articles.index.swish-e
Model::SWISH::Forums:
  indexes: 
    - /usr/home/malbomds/public_html/search/forum.index.swish-e
Model::SWISH::Editorial:
  indexes: 
    - /usr/home/malbomds/public_html/search/site.index.swish-e
    - /usr/home/malbomds/public_html/search/articles.index.swish-e
Model::SWISH::UserData:
  indexes: 
    - /usr/home/malbomds/public_html/search/orgs.index.swish-e
    - /usr/home/malbomds/public_html/search/events.index.swish-e
    - /usr/home/malbomds/public_html/search/groups.index.swish-e
    - /usr/home/malbomds/public_html/search/forum.index.swish-e
Albom::Model::SWISH::Video:
  indexes: 
    - /usr/home/malbomds/public_html/search/video.index.swish-e
authentication:
  default_realm: members
  realms:
    members:
      credential:
        class: Password
        password_field: password
        password_type:  hashed
        password_hash_type: SHA-1
      store:
        class: DBIx::Class
        user_class: AlbomDB::Result::User 
        id_field: username
custom-error-messsage:
  uri-for-not-found:  /404
  error-template:     error.tt
  content-type:       text/html; charset=utf-8
  view-name:          TT
  response-status:    500
static:
  ignore_extensions:
    - xml
form:
  method: POST
  javascript: 1
  stylesheet: 1
EXCLUDE_FROM_INDEX:
  home_page: 1
  referenced_node: 1
  news_promo: 1
  block: 1
  quote_journalism: 1
  quote_book: 1
  quote_radio: 1
  referring_block: 1
  non_cms_block: 1
  section_menu: 1
  image: 1
  video: 1
INCLUDE_IN_INDEX:
  page: 1

View::JSON:

xmlrpc:
  show_errors: 1
newsletter:
  sub_url_quiet:  http://newsletter.mitchalbom.com/lists/addmember.cgi
  sub_url:        http://newsletter.mitchalbom.com/lists/addomember.cgi
  unsub_url:      http://newsletter.mitchalbom.com/lists/removemember.cgi
  listname:  mitch_albom_newsletter
  list_id:   1
  domain:    newsletter.mitchalbom.com
 
Plugin::Captcha:
  session_name: captcha_string
  new:
    width: 160
    height: 60
    lines: 7
    font: /usr/home/malbomds/public_html/Georgia_Bold.ttf
    ptsize: 22
    thickness: 1
    angle: 10  
  create:
    - ttf
    - rect
  particle:
    - 100

Plugin::Cache:
  backend:
    class: Cache::FileCache

PageCache:
  expires: 300
  set_http_headers: 1
  debug: 1
